Page MenuHomePhabricator

Convert OAuth to PSR-3 logging
Closed, ResolvedPublic

Description

The wfDebugLog logging on the 'OAuth' channel contains a mixture of operationally important and low level debugging logging. Conversion to direct PSR-3 logging will allow use of specific levels and filtering of the log event stream.

Details

Related Gerrit Patches:
mediawiki/extensions/OAuth : masterConvert logging to PSR3 standard

Event Timeline

bd808 created this task.Aug 18 2015, 4:22 PM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 4:22 PM
bd808 claimed this task.Aug 18 2015, 4:23 PM
bd808 added a project: User-bd808.
bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.

Change 248488 had a related patch set uploaded (by BryanDavis):
Convert logging to PSR3 standard

https://gerrit.wikimedia.org/r/248488

Change 248488 merged by jenkins-bot:
Convert logging to PSR3 standard

https://gerrit.wikimedia.org/r/248488

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Nov 6 2015, 5:19 PM
bd808 closed this task as Resolved.Nov 12 2015, 11:21 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Nov 19 2015, 4:08 PM